/* Copyright (C) 2005 Guillaume Pinot
   This file is part of pot.

   The GNU C Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   The GNU C Library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with the GNU C Library; if not, write to the Free
   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
   02111-1307 USA.  */

#ifndef _PARSE_H
#define _PARSE_H

#include <sys/types.h>
#include <regex.h>

#define BUFFER_SIZE 512
#define POTSAL "/.pot.kelsal"

struct kelsal_list
{
  regex_t ordi;
  char * salle;
  struct kelsal_list * next;
};

char * kelsal(const char * salle);
void add_kelsal_list(const char * ordi, const char * salle);
void parse_line(char * line);
int read_kelsal(void);

#endif /* _PARSE_H */
